NodeRings Docs

Update Node

PATCH
/v1/node/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring
regionId?string
cpuOverallocatePercent?integer
Formatint32
memoryOverallocatePercent?integer
Formatint32
storageOverallocatePercent?integer
Formatint32
vmidSeed?integer
Formatint32
maintenanceMode?boolean
vmStorageDestination?string
backupStorageDestination?string
backupStorageCompression?string

Proxmox vzdump --compress (must not be UNSPECIFIED on create/update node).

Default"BACKUP_STORAGE_COMPRESSION_UNSPECIFIED"
Value in"BACKUP_STORAGE_COMPRESSION_UNSPECIFIED" | "BACKUP_STORAGE_COMPRESSION_NONE" | "BACKUP_STORAGE_COMPRESSION_LZO" | "BACKUP_STORAGE_COMPRESSION_GZIP" | "BACKUP_STORAGE_COMPRESSION_ZSTD"
networkBridge?string
networkName?string
networkVlanId?integer

Omit to leave unchanged; 0 = untagged.

Formatint32
networkModel?string
computeType?string

Compute product change. Rejected while the node hosts any VMs.

Default"NODE_COMPUTE_TYPE_UNSPECIFIED"
Value in"NODE_COMPUTE_TYPE_UNSPECIFIED" | "NODE_COMPUTE_TYPE_SHARED" | "NODE_COMPUTE_TYPE_DEDICATED"
topologyPaste?string

Topology re-paste for dedicated nodes. Rejected if it would orphan a currently allocated CPU. Empty = leave stored topology unchanged.

Response Body

application/json

curl -X PATCH "https://api.nrings.io/v1/node/{id}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "regionId": "string",  "cpuOverallocatePercent": 0,  "memoryOverallocatePercent": 0,  "storageOverallocatePercent": 0,  "vmidSeed": 0,  "maintenanceMode": false,  "vmStorageDestination": "string",  "backupStorageDestination": "string",  "backupStorageCompression": "BACKUP_STORAGE_COMPRESSION_UNSPECIFIED",  "networkBridge": "string",  "networkName": "string",  "networkVlanId": 0,  "networkModel": "string",  "computeType": "NODE_COMPUTE_TYPE_UNSPECIFIED",  "topologyPaste": "string"}'
{
  "node": {
    "id": "string",
    "name": "string",
    "serviceStatus": "SERVICE_STATUS_UNSPECIFIED",
    "platform": "string",
    "region": "string",
    "organizationId": "string",
    "inventory": {
      "cpuType": "CPU_TYPE_UNSPECIFIED",
      "cpuCore": 0,
      "cpuCoreAllocated": 0,
      "storagePools": [
        {
          "name": "string",
          "storage": 0,
          "storageAllocated": 0
        }
      ],
      "memory": 0,
      "memoryAllocated": 0
    },
    "cpuOverallocatePercent": 0,
    "memoryOverallocatePercent": 0,
    "storageOverallocatePercent": 0,
    "networkId": "string",
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    },
    "maintenanceMode": true,
    "vmidSeed": 0,
    "vmStorageDestination": "string",
    "backupStorageDestination": "string",
    "backupStorageCompression": "BACKUP_STORAGE_COMPRESSION_UNSPECIFIED",
    "networkBridge": "string",
    "networkName": "string",
    "networkVlanId": 0,
    "networkModel": "string",
    "computeType": "NODE_COMPUTE_TYPE_UNSPECIFIED",
    "hasCpuTopology": true
  }
}